comparison configure @ 83724:fd810038a74e

*** empty log message ***
author Jan Djärv <jan.h.d@swipnet.se>
date Wed, 29 Aug 2007 06:36:57 +0000
parents 27d11c1d4e46
children c0220f0872a3
comparison
equal deleted inserted replaced
83723:1ea781b6ce97 83724:fd810038a74e
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo Please tell bug-autoconf@gnu.org about your system, 415 echo No shell found that supports shell functions.
416 echo including any error possibly output before this message. 416 echo Please tell autoconf@gnu.org about your system,
417 echo This can help us improve future autoconf versions. 417 echo including any error possibly output before this
418 echo Configuration will now proceed without shell functions. 418 echo message
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
677 INSTALL_SCRIPT 677 INSTALL_SCRIPT
678 INSTALL_DATA 678 INSTALL_DATA
679 RANLIB 679 RANLIB
680 INSTALL_INFO 680 INSTALL_INFO
681 GZIP_PROG 681 GZIP_PROG
682 MAKEINFO
682 LIBSOUND 683 LIBSOUND
683 PKG_CONFIG 684 PKG_CONFIG
684 ALSA_CFLAGS 685 ALSA_CFLAGS
685 ALSA_LIBS 686 ALSA_LIBS
686 CFLAGS_SOUND 687 CFLAGS_SOUND
1346 --with-rsvg use -lrsvg-2 for displaying SVG images 1347 --with-rsvg use -lrsvg-2 for displaying SVG images
1347 --with-gtk use GTK (same as --with-x-toolkit=gtk) 1348 --with-gtk use GTK (same as --with-x-toolkit=gtk)
1348 --with-pkg-config-prog Path to pkg-config to use for finding GTK and librsvg 1349 --with-pkg-config-prog Path to pkg-config to use for finding GTK and librsvg
1349 --without-toolkit-scroll-bars 1350 --without-toolkit-scroll-bars
1350 don't use Motif or Xaw3d scroll bars 1351 don't use Motif or Xaw3d scroll bars
1352 --without-xaw3d don't use Xaw3d
1351 --without-xim don't use X11 XIM 1353 --without-xim don't use X11 XIM
1352 --without-carbon don't use Carbon GUI on Mac OS X 1354 --without-carbon don't use Carbon GUI on Mac OS X
1353 --with-x use the X Window System 1355 --with-x use the X Window System
1354 1356
1355 Some influential environment variables: 1357 Some influential environment variables:
1971 1973
1972 1974
1973 # Check whether --with-toolkit-scroll-bars was given. 1975 # Check whether --with-toolkit-scroll-bars was given.
1974 if test "${with_toolkit_scroll_bars+set}" = set; then 1976 if test "${with_toolkit_scroll_bars+set}" = set; then
1975 withval=$with_toolkit_scroll_bars; 1977 withval=$with_toolkit_scroll_bars;
1978 fi
1979
1980
1981 # Check whether --with-xpm was given.
1982 if test "${with_xpm+set}" = set; then
1983 withval=$with_xpm;
1976 fi 1984 fi
1977 1985
1978 1986
1979 # Check whether --with-xim was given. 1987 # Check whether --with-xim was given.
1980 if test "${with_xim+set}" = set; then 1988 if test "${with_xim+set}" = set; then
5328 fi 5336 fi
5329 5337
5330 5338
5331 5339
5332 5340
5341 ## Need makeinfo >= 4.6 (?) to build the manuals.
5342 # Extract the first word of "makeinfo", so it can be a program name with args.
5343 set dummy makeinfo; ac_word=$2
5344 { echo "$as_me:$LINENO: checking for $ac_word" >&5
5345 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5346 if test "${ac_cv_path_MAKEINFO+set}" = set; then
5347 echo $ECHO_N "(cached) $ECHO_C" >&6
5348 else
5349 case $MAKEINFO in
5350 [\\/]* | ?:[\\/]*)
5351 ac_cv_path_MAKEINFO="$MAKEINFO" # Let the user override the test with a path.
5352 ;;
5353 *)
5354 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5355 for as_dir in $PATH
5356 do
5357 IFS=$as_save_IFS
5358 test -z "$as_dir" && as_dir=.
5359 for ac_exec_ext in '' $ac_executable_extensions; do
5360 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5361 ac_cv_path_MAKEINFO="$as_dir/$ac_word$ac_exec_ext"
5362 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5363 break 2
5364 fi
5365 done
5366 done
5367 IFS=$as_save_IFS
5368
5369 test -z "$ac_cv_path_MAKEINFO" && ac_cv_path_MAKEINFO="no"
5370 ;;
5371 esac
5372 fi
5373 MAKEINFO=$ac_cv_path_MAKEINFO
5374 if test -n "$MAKEINFO"; then
5375 { echo "$as_me:$LINENO: result: $MAKEINFO" >&5
5376 echo "${ECHO_T}$MAKEINFO" >&6; }
5377 else
5378 { echo "$as_me:$LINENO: result: no" >&5
5379 echo "${ECHO_T}no" >&6; }
5380 fi
5381
5382
5383 if test "$MAKEINFO" != "no" && \
5384 test x"`$MAKEINFO --version 2> /dev/null | $EGREP 'texinfo[^0-9]*([5-9]|4\.[6-9])'`" = x; then
5385 MAKEINFO=no
5386 fi
5387
5388 if test "$MAKEINFO" = "no"; then
5389 { { echo "$as_me:$LINENO: error: makeinfo >= 4.6 is required " >&5
5390 echo "$as_me: error: makeinfo >= 4.6 is required " >&2;}
5391 { (exit 1); exit 1; }; }
5392 fi
5393
5394
5395
5333 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x 5396 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x
5334 then 5397 then
5335 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS" 5398 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS"
5336 fi 5399 fi
5337 5400
11448 11511
11449 if test "$with_toolkit_scroll_bars" != no; then 11512 if test "$with_toolkit_scroll_bars" != no; then
11450 with_toolkit_scroll_bars=yes 11513 with_toolkit_scroll_bars=yes
11451 fi 11514 fi
11452 11515
11516 HAVE_GTK_MULTIDISPLAY=no
11453 11517
11454 for ac_func in gdk_display_open 11518 for ac_func in gdk_display_open
11455 do 11519 do
11456 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 11520 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
11457 { echo "$as_me:$LINENO: checking for $ac_func" >&5 11521 { echo "$as_me:$LINENO: checking for $ac_func" >&5
12297 HAVE_XAW3D=no 12361 HAVE_XAW3D=no
12298 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then 12362 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
12299 if test x"${HAVE_X11R5}" != xyes; then 12363 if test x"${HAVE_X11R5}" != xyes; then
12300 USE_X_TOOLKIT=none 12364 USE_X_TOOLKIT=none
12301 else 12365 else
12302 { echo "$as_me:$LINENO: checking for xaw3d" >&5 12366 if test "$with_xaw3d" != no; then
12367 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12303 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; } 12368 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
12304 if test "${emacs_cv_xaw3d+set}" = set; then 12369 if test "${emacs_cv_xaw3d+set}" = set; then
12305 echo $ECHO_N "(cached) $ECHO_C" >&6 12370 echo $ECHO_N "(cached) $ECHO_C" >&6
12306 else 12371 else
12307 cat >conftest.$ac_ext <<_ACEOF 12372 cat >conftest.$ac_ext <<_ACEOF
12308 /* confdefs.h. */ 12373 /* confdefs.h. */
12309 _ACEOF 12374 _ACEOF
12349 12414
12350 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 12415 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12351 conftest$ac_exeext conftest.$ac_ext 12416 conftest$ac_exeext conftest.$ac_ext
12352 fi 12417 fi
12353 12418
12419 else
12420 emacs_cv_xaw3d=no
12421 fi
12354 if test $emacs_cv_xaw3d = yes; then 12422 if test $emacs_cv_xaw3d = yes; then
12355 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5 12423 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12356 echo "${ECHO_T}yes; using Lucid toolkit" >&6; } 12424 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12357 USE_X_TOOLKIT=LUCID 12425 USE_X_TOOLKIT=LUCID
12358 HAVE_XAW3D=yes 12426 HAVE_XAW3D=yes
14251 MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no" 14319 MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no"
14252 test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" && 14320 test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" &&
14253 MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no" 14321 MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no"
14254 14322
14255 if test "X${MISSING}" != X; then 14323 if test "X${MISSING}" != X; then
14256 { { echo "$as_me:$LINENO: error: The following required libraries was not found: 14324 { { echo "$as_me:$LINENO: error: The following required libraries were not found:
14257 $MISSING 14325 $MISSING
14258 Maybe some development libraries/packages are missing? 14326 Maybe some development libraries/packages are missing?
14259 If you don't want to link with them give 14327 If you don't want to link with them give
14260 $WITH_NO 14328 $WITH_NO
14261 as options to configure" >&5 14329 as options to configure" >&5
14262 echo "$as_me: error: The following required libraries was not found: 14330 echo "$as_me: error: The following required libraries were not found:
14263 $MISSING 14331 $MISSING
14264 Maybe some development libraries/packages are missing? 14332 Maybe some development libraries/packages are missing?
14265 If you don't want to link with them give 14333 If you don't want to link with them give
14266 $WITH_NO 14334 $WITH_NO
14267 as options to configure" >&2;} 14335 as options to configure" >&2;}
18444 /* confdefs.h. */ 18512 /* confdefs.h. */
18445 _ACEOF 18513 _ACEOF
18446 cat confdefs.h >>conftest.$ac_ext 18514 cat confdefs.h >>conftest.$ac_ext
18447 cat >>conftest.$ac_ext <<_ACEOF 18515 cat >>conftest.$ac_ext <<_ACEOF
18448 /* end confdefs.h. */ 18516 /* end confdefs.h. */
18449 #include <sys/types.h> /* for off_t */ 18517 #include <stdio.h>
18450 #include <stdio.h>
18451 int 18518 int
18452 main () 18519 main ()
18453 { 18520 {
18454 int (*fp) (FILE *, off_t, int) = fseeko; 18521 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
18455 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18456 ; 18522 ;
18457 return 0; 18523 return 0;
18458 } 18524 }
18459 _ACEOF 18525 _ACEOF
18460 rm -f conftest.$ac_objext conftest$ac_exeext 18526 rm -f conftest.$ac_objext conftest$ac_exeext
18490 _ACEOF 18556 _ACEOF
18491 cat confdefs.h >>conftest.$ac_ext 18557 cat confdefs.h >>conftest.$ac_ext
18492 cat >>conftest.$ac_ext <<_ACEOF 18558 cat >>conftest.$ac_ext <<_ACEOF
18493 /* end confdefs.h. */ 18559 /* end confdefs.h. */
18494 #define _LARGEFILE_SOURCE 1 18560 #define _LARGEFILE_SOURCE 1
18495 #include <sys/types.h> /* for off_t */ 18561 #include <stdio.h>
18496 #include <stdio.h>
18497 int 18562 int
18498 main () 18563 main ()
18499 { 18564 {
18500 int (*fp) (FILE *, off_t, int) = fseeko; 18565 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
18501 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18502 ; 18566 ;
18503 return 0; 18567 return 0;
18504 } 18568 }
18505 _ACEOF 18569 _ACEOF
18506 rm -f conftest.$ac_objext conftest$ac_exeext 18570 rm -f conftest.$ac_objext conftest$ac_exeext
24403 INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 24467 INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
24404 INSTALL_DATA!$INSTALL_DATA$ac_delim 24468 INSTALL_DATA!$INSTALL_DATA$ac_delim
24405 RANLIB!$RANLIB$ac_delim 24469 RANLIB!$RANLIB$ac_delim
24406 INSTALL_INFO!$INSTALL_INFO$ac_delim 24470 INSTALL_INFO!$INSTALL_INFO$ac_delim
24407 GZIP_PROG!$GZIP_PROG$ac_delim 24471 GZIP_PROG!$GZIP_PROG$ac_delim
24472 MAKEINFO!$MAKEINFO$ac_delim
24408 LIBSOUND!$LIBSOUND$ac_delim 24473 LIBSOUND!$LIBSOUND$ac_delim
24409 PKG_CONFIG!$PKG_CONFIG$ac_delim 24474 PKG_CONFIG!$PKG_CONFIG$ac_delim
24410 ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim 24475 ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim
24411 ALSA_LIBS!$ALSA_LIBS$ac_delim 24476 ALSA_LIBS!$ALSA_LIBS$ac_delim
24412 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim 24477 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim
24436 lisppath!$lisppath$ac_delim 24501 lisppath!$lisppath$ac_delim
24437 x_default_search_path!$x_default_search_path$ac_delim 24502 x_default_search_path!$x_default_search_path$ac_delim
24438 etcdir!$etcdir$ac_delim 24503 etcdir!$etcdir$ac_delim
24439 archlibdir!$archlibdir$ac_delim 24504 archlibdir!$archlibdir$ac_delim
24440 bitmapdir!$bitmapdir$ac_delim 24505 bitmapdir!$bitmapdir$ac_delim
24441 gamedir!$gamedir$ac_delim
24442 _ACEOF 24506 _ACEOF
24443 24507
24444 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 24508 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
24445 break 24509 break
24446 elif $ac_last_try; then 24510 elif $ac_last_try; then
24478 24542
24479 24543
24480 ac_delim='%!_!# ' 24544 ac_delim='%!_!# '
24481 for ac_last_try in false false false false false :; do 24545 for ac_last_try in false false false false false :; do
24482 cat >conf$$subs.sed <<_ACEOF 24546 cat >conf$$subs.sed <<_ACEOF
24547 gamedir!$gamedir$ac_delim
24483 gameuser!$gameuser$ac_delim 24548 gameuser!$gameuser$ac_delim
24484 c_switch_system!$c_switch_system$ac_delim 24549 c_switch_system!$c_switch_system$ac_delim
24485 c_switch_machine!$c_switch_machine$ac_delim 24550 c_switch_machine!$c_switch_machine$ac_delim
24486 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim 24551 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim
24487 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim 24552 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim
24491 opsysfile!$opsysfile$ac_delim 24556 opsysfile!$opsysfile$ac_delim
24492 carbon_appdir!$carbon_appdir$ac_delim 24557 carbon_appdir!$carbon_appdir$ac_delim
24493 LTLIBOBJS!$LTLIBOBJS$ac_delim 24558 LTLIBOBJS!$LTLIBOBJS$ac_delim
24494 _ACEOF 24559 _ACEOF
24495 24560
24496 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 11; then 24561 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
24497 break 24562 break
24498 elif $ac_last_try; then 24563 elif $ac_last_try; then
24499 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 24564 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
24500 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 24565 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
24501 { (exit 1); exit 1; }; } 24566 { (exit 1); exit 1; }; }